#!/usr/bin/env zsh
##############################################################################
# vim:set ft=zsh ai et sw=4 ts=4:
#
# @author       : Jeffrey Serio <hyperreal@unixcat.coffee>
# @file         : fzf.zsh
# @load_order   : post-zshrc


## default opts uses Embark color palette
export FZF_DEFAULT_OPTS="--color=fg:#CBE3E7,bg:#1E1C31,hl:#D4BFFF --color=fg+:#CBE3E7,bg+:#2D2B40,hl+:#D4BFFF --color=info:#F2B482,prompt:#62D196,pointer:#F48FB1 --color=marker:#F48FB1,spinner:#F2B482,header:#585273"

## completion trigger
export FZF_COMPLETION_TRIGGER="~~"

## default source for fzf
export FZF_DEFAULT_COMMAND="fd --type f --hidden --follow --exclude .git"

## fzf manpages
man-find() {
    f=$(fd . "${MANPATH}/man${1:-1}" -t f -x echo {/.} | fzf) && man "$f"
}

## keystroke shortcuts widget
shortcuts-widget() {
    cat /home/jas/.shortcuts.txt | fzf-tmux -r 40% -- --reverse
}
zle -N shortcuts-widget
bindkey '\es' shortcuts-widget
